Subject: Re: [PATCH 3/4] powerpc/crypto: add 842 hardware compression driver

From: Seth Jennings <[email-masked]>
Date: Fri, 20 Jul 2012 09:01:11 -0500

On 07/20/2012 12:33 AM, Michael Ellerman wrote:
> On Thu, 2012-07-19 at 09:42 -0500, Seth Jennings wrote:
>> This patch adds the driver for interacting with the 842
>> compression accelerator on IBM Power7+ systems.
> 
> ...
> 
>> +struct nx842_slentry {
>> +	unsigned long ptr; /* Absolute address (use virt_to_abs()) */
>> /+	unsigned long len;
>> +};
> 
> These days virt_to_abs() is just __pa() - ie. convert to a real address.

Thanks, I'll make that change.

Is it a blocker to the code being pulled in though? I'm
hoping to get this in ASAP for the 3.6 merge window.  As
this isn't a functional defect (I assume __pa() and
virt_to_abs() still achieve the same result), can I get an
OK from you that this isn't a blocker to the code being
accepted?

I'll submit a patch later to make this change.

Thanks again!

Seth